Bug 854596 - Review Request: perl-LWP-Authen-Negotiate - GSSAPI based Authentication Plugin for LWP
Review Request: perl-LWP-Authen-Negotiate - GSSAPI based Authentication Plug...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 08:05 EDT by Steve Traylen
Modified: 2014-06-03 08:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-03 08:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2012-09-05 08:05:26 EDT
Spec URL: http://straylen.web.cern.ch/straylen/rpms/perl-LWP-Authen-Negotiate/perl-LWP-Authen-Negotiate.spec
SRPM URL: http://straylen.web.cern.ch/straylen/rpms/perl-LWP-Authen-Negotiate/perl-LWP-Authen-Negotiate-0.08-1.fc17.src.rpm
Description: 
WWW-Negotiate supporting Webservers are IIS or Apache with 
mod_auth_kerb for example.

Fedora Account System Username: stevetraylen
Comment 1 Michael Scherer 2012-09-06 01:11:39 EDT
Do you plan to push it to EPEL 5 ? If not, could you remove the obsolete part of the spec ( %defattr, %clean, etc ), since that would mean less cruft to remove later ( and avoid people copying them over and over when that's not needed since a few years ).

Once the issue fixed, I will approve it.

Also, could you ask upstream to ship the license with the tarball ( not blocking if they do not do it )

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


Issues:
=======
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[-]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Cannot unpack rpms (using --prebuilt?)

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (LWP-Authen-Negotiate-0.08.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perl-LWP-Authen-Negotiate-0.08-1.fc17.src.rpm
          perl-LWP-Authen-Negotiate-0.08-1.fc17.noarch.rpm
perl-LWP-Authen-Negotiate.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
perl-LWP-Authen-Negotiate.src: W: spelling-error %description -l en_US kerb -> berk, herb, verb
perl-LWP-Authen-Negotiate.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
perl-LWP-Authen-Negotiate.noarch: W: spelling-error %description -l en_US kerb -> berk, herb, verb
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-LWP-Authen-Negotiate
perl-LWP-Authen-Negotiate.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
perl-LWP-Authen-Negotiate.noarch: W: spelling-error %description -l en_US kerb -> berk, herb, verb
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-LWP-Authen-Negotiate-0.08-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl(:MODULE_COMPAT_5.14.2)  
    perl(AutoLoader)  
    perl(Exporter)  
    perl(GSSAPI) >= 0.18
    perl(LWP::Debug)  
    perl(strict)  
    perl(warnings)  



Provides
--------
perl-LWP-Authen-Negotiate-0.08-1.fc17.noarch.rpm:
    
    perl(LWP::Authen::Negotiate) = 0.08
    perl-LWP-Authen-Negotiate = 0.08-1.fc17



MD5-sum check
-------------
http://www.cpan.org/modules/by-module/LWP/LWP-Authen-Negotiate-0.08.tar.gz :
  CHECKSUM(SHA256) this package     : 50948e19c532b7864e8aaafc6874415ca075b3ea14bc73db58235c475dac4abb
  CHECKSUM(SHA256) upstream package : 50948e19c532b7864e8aaafc6874415ca075b3ea14bc73db58235c475dac4abb


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 854596
Comment 2 Steve Traylen 2012-09-07 03:05:37 EDT
Hi Michael,

I do indeed plan to build for EPEL5 as well. 

As for the LICENSE file I have requested upstream.

https://rt.cpan.org/Public/Bug/Display.html?id=79494
Comment 3 Michael Scherer 2012-09-07 04:41:59 EDT
Well, i personnally prefer to have separate spec ( and cleaned one ) for fedora and epel, but I know some people prefer to have 1 single spec for all target. Anyway, provided you fix the error when importing :
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).

The package is good for me.
Comment 4 Michael Scherer 2012-09-22 12:04:15 EDT
Steve, you have forgot to ask for the repository : https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 5 Steve Traylen 2012-09-24 04:16:39 EDT
New Package SCM Request
=======================
Package Name:  perl-LWP-Authen-Negotiate
Short Description: GSSAPI based Authentication Plugin for LWP
Owners: stevetraylen
Branches: f17 f18 el6 el5
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2012-09-24 08:12:52 EDT
Git done (by process-git-requests).
Comment 7 Steve Traylen 2014-06-03 08:15:01 EDT
Looks like this was actually released in dists ages ago, closing.

Note You need to log in before you can comment on or make changes to this bug.